package com.steering.model.lims;

/**
 * 数据库表METER_BASE_MATTER_INFO所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-11
 */
@SuppressWarnings("serial")
public class MeterBaseMatterInfoEntity implements java.io.Serializable {
    /**
     * 物料编号
     */
    private String matterNo = "";
    /**
     * 物料名称
     */
    private String matterName = "";
    /**
     * 索引码
     */
    private String indexCode = "";
    /**
     * 助记码
     */
    private String mnemonicCode = "";
    /**
     * 物料属性编号
     */
    private String matterNatureNo = "";
    /**
     * 物料属性名称
     */
    private String matterNatureName = "";
    /**
     * 计量属性编号
     */
    private String meterNatureNo = "";
    /**
     * 计量属性名称
     */
    private String meterNatureName = "";
    /**
     * 标志（0：无效；1：有效）
     */
    private String validFlag = "";
    /**
     * 创建人编号
     */
    private String createManNo = "";
    /**
     * 创建人姓名
     */
    private String createManName = "";
    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     */
    private String createTime = "";
    /**
     * 修改人编号
     */
    private String updateManNo = "";
    /**
     * 修改人姓名
     */
    private String updateManName = "";
    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     */
    private String updateTime = "";
    /**
     * 删除人编号
     */
    private String deleteManNo = "";
    /**
     * 删除人姓名
     */
    private String deleteManName = "";
    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     */
    private String deleteTime = "";
    /**
     * 计量码
     */
    private String meterCode = "";
    /**
     * 是否允许使用期限皮重(0不可，1可以)
     */
    private String allowedTareWeight = "";
    /**
     * 是否允许使用附加重量(0不可，1可以)
     */
    private String allowedAddWeight = "";
    /**
     * 预报有效天数，默认为5天；
     */
    private String scaleValidPeriod = "";
    /**
     * 规格
     */
    private String specName = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 001035001为普通物资，001035002是直达材料，001035003是废旧物资,具体类型可以在基础数据配置下物料分类-按报表中添加；
     */
    private String reportCode = "";
    /**
     * 结算单位
     */
    private String settlementUnit = "";
    /**
     * 结算单价
     */
    private String settlementPrice = "";

    /**
     * 物料编号
     * @return value
     */
    public String getMatterNo() {
        return matterNo;
    }

    /**
     * 物料编号
     * @param matterNo value
     */
    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getMatterName() {
        return matterName;
    }

    /**
     * 物料名称
     * @param matterName value
     */
    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    /**
     * 索引码
     * @return value
     */
    public String getIndexCode() {
        return indexCode;
    }

    /**
     * 索引码
     * @param indexCode value
     */
    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode;
    }

    /**
     * 助记码
     * @return value
     */
    public String getMnemonicCode() {
        return mnemonicCode;
    }

    /**
     * 助记码
     * @param mnemonicCode value
     */
    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode;
    }

    /**
     * 物料属性编号
     * @return value
     */
    public String getMatterNatureNo() {
        return matterNatureNo;
    }

    /**
     * 物料属性编号
     * @param matterNatureNo value
     */
    public void setMatterNatureNo(String matterNatureNo) {
        this.matterNatureNo = matterNatureNo;
    }

    /**
     * 物料属性名称
     * @return value
     */
    public String getMatterNatureName() {
        return matterNatureName;
    }

    /**
     * 物料属性名称
     * @param matterNatureName value
     */
    public void setMatterNatureName(String matterNatureName) {
        this.matterNatureName = matterNatureName;
    }

    /**
     * 计量属性编号
     * @return value
     */
    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    /**
     * 计量属性编号
     * @param meterNatureNo value
     */
    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo;
    }

    /**
     * 计量属性名称
     * @return value
     */
    public String getMeterNatureName() {
        return meterNatureName;
    }

    /**
     * 计量属性名称
     * @param meterNatureName value
     */
    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName;
    }

    /**
     * 标志（0：无效；1：有效）
     * @return value
     */
    public String getValidFlag() {
        return validFlag;
    }

    /**
     * 标志（0：无效；1：有效）
     * @param validFlag value
     */
    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    /**
     * 创建人编号
     * @return value
     */
    public String getCreateManNo() {
        return createManNo;
    }

    /**
     * 创建人编号
     * @param createManNo value
     */
    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo;
    }

    /**
     * 创建人姓名
     * @return value
     */
    public String getCreateManName() {
        return createManName;
    }

    /**
     * 创建人姓名
     * @param createManName value
     */
    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人编号
     * @return value
     */
    public String getUpdateManNo() {
        return updateManNo;
    }

    /**
     * 修改人编号
     * @param updateManNo value
     */
    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo;
    }

    /**
     * 修改人姓名
     * @return value
     */
    public String getUpdateManName() {
        return updateManName;
    }

    /**
     * 修改人姓名
     * @param updateManName value
     */
    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人编号
     * @return value
     */
    public String getDeleteManNo() {
        return deleteManNo;
    }

    /**
     * 删除人编号
     * @param deleteManNo value
     */
    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo;
    }

    /**
     * 删除人姓名
     * @return value
     */
    public String getDeleteManName() {
        return deleteManName;
    }

    /**
     * 删除人姓名
     * @param deleteManName value
     */
    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName;
    }

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 计量码
     * @return value
     */
    public String getMeterCode() {
        return meterCode;
    }

    /**
     * 计量码
     * @param meterCode value
     */
    public void setMeterCode(String meterCode) {
        this.meterCode = meterCode;
    }

    /**
     * 是否允许使用期限皮重(0不可，1可以)
     * @return value
     */
    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    /**
     * 是否允许使用期限皮重(0不可，1可以)
     * @param allowedTareWeight value
     */
    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight;
    }

    /**
     * 是否允许使用附加重量(0不可，1可以)
     * @return value
     */
    public String getAllowedAddWeight() {
        return allowedAddWeight;
    }

    /**
     * 是否允许使用附加重量(0不可，1可以)
     * @param allowedAddWeight value
     */
    public void setAllowedAddWeight(String allowedAddWeight) {
        this.allowedAddWeight = allowedAddWeight;
    }

    /**
     * 预报有效天数，默认为5天；
     * @return value
     */
    public String getScaleValidPeriod() {
        return scaleValidPeriod;
    }

    /**
     * 预报有效天数，默认为5天；
     * @param scaleValidPeriod value
     */
    public void setScaleValidPeriod(String scaleValidPeriod) {
        this.scaleValidPeriod = scaleValidPeriod;
    }

    /**
     * 规格
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 规格
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 001035001为普通物资，001035002是直达材料，001035003是废旧物资,具体类型可以在基础数据配置下物料分类-按报表中添加；
     * @return value
     */
    public String getReportCode() {
        return reportCode;
    }

    /**
     * 001035001为普通物资，001035002是直达材料，001035003是废旧物资,具体类型可以在基础数据配置下物料分类-按报表中添加；
     * @param reportCode value
     */
    public void setReportCode(String reportCode) {
        this.reportCode = reportCode;
    }

    /**
     * 结算单位
     * @return value
     */
    public String getSettlementUnit() {
        return settlementUnit;
    }

    /**
     * 结算单位
     * @param settlementUnit value
     */
    public void setSettlementUnit(String settlementUnit) {
        this.settlementUnit = settlementUnit;
    }

    /**
     * 结算单价
     * @return value
     */
    public String getSettlementPrice() {
        return settlementPrice;
    }

    /**
     * 结算单价
     * @param settlementPrice value
     */
    public void setSettlementPrice(String settlementPrice) {
        this.settlementPrice = settlementPrice;
    }
}
